Redmine - Defect #34016

Issue List "Options" and "Filters" not Clickable on Chrome 86
2020-09-21 12:46 - Remek Trzaska

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Filters Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

When visiting Redmine on Chrome 86, the section headers for Filters and Options do not react to clicks; no error is shown in
Javascript console, however--it is as if the clicks never happened. The problem manifests itself also for this Redmine installation, so
| don't think it is related to a particular Redmine version, but rather some Chrome change introduced in 86. The problem happens
even in Incognito mode with no Chrome add-ons running.

It is likely this problem is not caused by a Chrome bug but a planned change, and if so a fix in Redmine may be required.

History

#1 - 2020-09-22 03:45 - Go MAEDA
- Category changed from Issues list to Issues filter

- Status changed from New to Confirmed

Confirmed with Chrome 86.0.4240.42 beta.

#2 - 2020-09-22 04:02 - Go MAEDA

- Category changed from Issues filter to Filters

#3 - 2020-09-22 08:21 - Go MAEDA

All currently maintained branches (trunk, 4.1-stable, 4.0-stable) are affected.

#4 - 2020-09-23 03:19 - Mizuki ISHIKAWA

This issue also affects the Check all / Uncheck all link (green checkmark) in Administration > Roles and permissions.

Quick workaround:

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css
index 78857fcc3..449655df1 100644

-—— a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

Q@ -506,7 +506,7 @@ textarea:focus, textarea:active {

select [multiple=multiple] {background: #fff; padding-right: initial; height: auto;}

fieldset {border: 1lpx solid #ededed; margin:0; min-width: inherit;}
-legend {color: #333;}

+legend {color: #333; position: relative;}

hr { width: 100%; height: 1lpx; background: #ccc; border: 0;}

blockquote { font-style: italic; border-left: 3px solid #e0e0e0; padding-left: 0.6em; margin-left: 0;}
blockquote blockquote { margin-left: 0;}

I've reported an issue as it may be a Chrome bug. https:/bugs.chromium.org/p/chromium/issues/detail ?id=1131257
If it is a specification, it is necessary to deal with it on the Redmine side.

#5 - 2020-09-23 07:40 - Remek Trzaska

Thanks all! I've used a CSS styling extension to take advantage of the 'position: relative' fix.

#6 - 2020-09-24 01:22 - Mizuki ISHIKAWA

This issue has already been reported by other users and has already been fixed.
https://bugs.chromium.org/p/chromium/issues/detail?id=1131257

https://bugs.chromium.org/p/chromium/issues/detail?id=1127743

#7 - 2020-09-24 01:32 - Go MAEDA
- Status changed from Confirmed to Closed

- Resolution set to Wont fix

| have confirmed that the bug has been fixed in Chrome 86.0.4240.55 beta released on 2020-09-23.

Thank you all for handling this issue.
